@ECHO OFF
REM Tune the ott-organ
ECHO Tune ott-orgel to Ott-Aliquot with Temperament %1

set Source=Ott-Orgel
set Destin=Ott-Aliquot

rem goto Aliquoten

mkdir                                              "Ott-Aliquot"
mkdir                                              "Ott-Aliquot\Ott-Orgel Gedackt 8'"
PipeTune "Ott-Orgel\Ott-Orgel Gedackt 8'\*.wav"    "Ott-Aliquot\Ott-Orgel Gedackt 8'"    %1
mkdir                                              "Ott-Aliquot\Ott-Orgel Oktave 1'"
PipeTune "Ott-Orgel\Ott-Orgel Oktave 1'\*.wav"     "Ott-Aliquot\Ott-Orgel Oktave 1'"     %1
mkdir                                              "Ott-Aliquot\Ott-Orgel Prinzipal 2'"
PipeTune "Ott-Orgel\Ott-Orgel Prinzipal 2'\*.wav"  "Ott-Aliquot\Ott-Orgel Prinzipal 2'"  %1
mkdir                                              "Ott-Aliquot\Ott-Orgel Quinte 1 1_3'"
PipeTune "Ott-Orgel\Ott-Orgel Quinte 1 1_3'\*.wav" "Ott-Aliquot\Ott-Orgel Quinte 1 1_3'" %1
mkdir                                              "Ott-Aliquot\Ott-Orgel Rohrfloete 4'"
PipeTune "Ott-Orgel\Ott-Orgel Rohrfloete 4'\*.wav" "Ott-Aliquot\Ott-Orgel Rohrfloete 4'" %1

:Aliquoten
ECHO Generate Register Rohrquint 2 2/3' from Rohrflte 4'
mkdir                                             "%Destin%\Ott-Orgel Rohrquint 2 2_3'"
PipeTune "%Source%\Ott-Orgel Rohrfloete 4'\*.wav" "%Destin%\Ott-Orgel Rohrquint 2 2_3'" %1+701.95

ECHO Generate Register Terz 1 3/5' from Quinte 1 1/3'
mkdir                                             "%Destin%\Ott-Orgel Terz 1 3_5'"
PipeTune "%Source%\Ott-Orgel Quinte 1 1_3'\*.wav" "%Destin%\Ott-Orgel Terz 1 3_5'" %1-315.6

Echo Generate Register Sept 1 1/7' from Quinte 1 1/3' 
mkdir                                             "%Destin%\Ott-Orgel Sept 1 1_7'"
PipeTune "%Source%\Ott-Orgel Quinte 1 1_3'\*.wav" "%Destin%\Ott-Orgel Sept 1 1_7'" %1+266.9

Echo Generate Register None 8/9' from Quinte 1 1/3' 
mkdir                                             "%Destin%\Ott-Orgel None 8_9'"
PipeTune "%Source%\Ott-Orgel Quinte 1 1_3'\*.wav" "%Destin%\Ott-Orgel None 8_9'" %1+701.95

Echo Generate Bordun 16' from Gedackt 8'
mkdir                                             "%Destin%\Ott-Orgel Bordun 16'"
PipeTune "%Source%\Ott-Orgel Gedackt 8'\*.wav"    "%Destin%\Ott-Orgel Bordun 16'" %1-1200
